Package org.kapott.hbci.sepa.jaxb.pain_002_003_03

## Class PartyIdentificationSEPA6Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_003_03.PartyIdentificationSEPA6Choice

    public class PartyIdentificationSEPA6Choice
    extends java.lang.Object

Java class for PartyIdentificationSEPA6Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentificationSEPA6Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}Max70Text"/>
               <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PartySEPA1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartySEPA1` `id`
`protected java.lang.String` `nm`

### Constructor Summary

Constructors
`PartyIdentificationSEPA6Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartySEPA1` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`void` `setId​(PartySEPA1 value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nm

    protected java.lang.String nm

#### id

    protected PartySEPA1 id

### Constructor Detail

#### PartyIdentificationSEPA6Choice

    public PartyIdentificationSEPA6Choice()

### Method Detail

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getId

    public PartySEPA1 getId()

Gets the value of the id property.

Returns:
  possible object is `PartySEPA1`

#### setId

    public void setId​(PartySEPA1 value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `PartySEPA1`